#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	
	int N,di[10],pi[10],Q,kj=0,i,pom,j,zp=0,njam=0;
	
	printf("Unesi N\n");
	scanf("%d",&N);
	
	printf("Unesi Q\n");
	scanf("%d",&Q);
	
	printf("\n\nUnos kog dana je kupljena plazma i kolicina\n\n");
	
    for(i=0;i<N;i++)
	{
        scanf("%d %d",&di[i],&pi[i]);
    }
	
	for (i=0;i<N-1;i++)
	{
        for (j=0;j<N-i-1;j++)
		{
            if(di[j]>di[j+1])
			{
                pom=di[j];
                di[j]=di[j+1];
                di[j+1]=pom;

                pom=pi[di[j]];
                pi[di[j]]=pi[di[j+1]];
                pi[di[j+1]]=pom;
            }
        }
    }
    
    printf("\nUnos kog dana je kupljena plazma i kolicina(SORTIRAN)\n\n");
    
	for(i=0;i<N;i++)
        printf("\n%d	%d\n",di[i],pi[i]);
        
    printf("Unesi kog dana ce cerka prestati da jede plazmu\n");
    scanf("%d",&kj);
    	
		for (i=0;i<kj;i++)
		{
 	   		zp=zp+pi[i];
    		if(zp!=0)
    		{
    			zp--;
    			njam++;
			}
		}
    	printf("\n%d",njam);
    	
	return 0;
}